<nz-card class="main-init-line-card">
  <form [formGroup]="regionForm" nz-form>
    <div nz-row>
      <div nz-col nzSpan="12" class="main-init-line-card__left" *ngIf="type === 'TIEU_VUNG'">
        <div class="title-input">
          <span nz-typography class="main-init-line-card__left__label">Khu vực</span>
          <p class="required"></p>
        </div>
        <nz-form-item>
          <nz-form-control nzValidateStatus=""
                           [nzErrorTip]="getErrorMessage(regionForm.controls.parentValue, 'Vui lòng chọn khu vực')">
            <nz-select class="main-init-line-card__left__select" nzPlaceHolder="Chọn khu vực" nzAllowClear
                       formControlName="parentValue" [nzDisabled]="view">
              <nz-option [nzValue]="item.lvaValue" [nzLabel]="item.lvaMean"
                         *ngFor="let item of dataSelect"></nz-option>
            </nz-select>
          </nz-form-control>
        </nz-form-item>
      </div>
      <div nz-col nzSpan="12" class="main-init-line-card__left" *ngIf="type !== 'TIEU_VUNG'">
        <div class="title-input">
                    <span nz-typography class="main-init-line-card__left__label">{{type === 'KHU_VUC' ? 'Khu vực' :
                      'Loại hình chi nhánh'}}
                    </span>
          <p class="required"></p>
        </div>
        <nz-form-item>
          <nz-form-control nzValidateStatus="" [nzErrorTip]="getErrorMessage(regionForm.controls.meaning, type === 'KHU_VUC' ? 'Vui lòng nhập khu vực' :
                    'Vui lòng nhập loại hình chi nhánh')">
            <input nz-input formControlName="meaning" class="main-init-line-card__center__input" [disabled]="view"
                   placeholder="Nhập" [autoFocus]='true'/>
          </nz-form-control>
        </nz-form-item>
      </div>
      <div nz-col nzSpan="12" class="main-init-line-card__center" *ngIf="type !== 'TIEU_VUNG'">
        <div class="title-input">
          <span nz-typography class="main-init-line-card__center__label">Tình trạng</span>
          <p class="required"></p>
        </div>
        <nz-form-item>
          <nz-form-control nzValidateStatus="" [nzErrorTip]="getErrorMessage(regionForm.controls.flagStatus, 'Vui lòng chọn tình trạng')">
            <nz-select class="main-init-line-card__left__select" formControlName="flagStatus"
                       nzPlaceHolder="Chọn tình trạng" nzAllowClear [nzDisabled]="view || !id">
              <nz-option [nzValue]="0" nzLabel="Không sử dụng"></nz-option>
              <nz-option [nzValue]="1" nzLabel="Sử dụng"></nz-option>
            </nz-select>
          </nz-form-control>
        </nz-form-item>
      </div>
      <div nz-col nzSpan="12" class="main-init-line-card__center" *ngIf="type === 'TIEU_VUNG'">
        <div class="title-input">
                    <span nz-typography class="main-init-line-card__center__label">Tiểu vùng
                    </span>
          <p class="required"></p>
        </div>
        <nz-form-item>
          <nz-form-control nzValidateStatus="" [nzErrorTip]="getErrorMessage(regionForm.controls.meaning, 'Vui lòng nhập tiểu vùng')">
            <input formControlName="meaning" nz-input class="main-init-line-card__center__input" [disabled]="view"
                   placeholder="Nhập tiểu vùng"/>
          </nz-form-control>
        </nz-form-item>
      </div>
    </div>
    <div nz-row *ngIf="type === 'TIEU_VUNG'">
      <div nz-col nzSpan="12" class="main-init-line-card__left">
        <div class="title-input">
          <span nz-typography class="main-init-line-card__left__label">Tình trạng</span>
          <p class="required"></p>
        </div>
        <nz-form-item>
          <nz-form-control nzValidateStatus="" [nzErrorTip]="getErrorMessage(regionForm.controls.flagStatus, 'Vui lòng chọn tình trạng')">
            <nz-select class="main-init-line-card__left__select" nzPlaceHolder="Chọn mô hình" nzAllowClear
                       formControlName="flagStatus" [nzDisabled]="view || !id">
              <nz-option [nzValue]="0" nzLabel="Không sử dụng"></nz-option>
              <nz-option [nzValue]="1" nzLabel="Sử dụng"></nz-option>
            </nz-select>
          </nz-form-control>
        </nz-form-item>
      </div>
    </div>
  </form>
  <div class="main-init-line-card__footer" *ngIf="!view">
    <mb-button (click)="closeModal()"
               mbButtonText="{{'common.button.cancel' | translate}}" mbButtonAvailableStyle='BtnCancelHasBorder'></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="validateRequest()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.saveS' | translate}}">
    </mb-button>
  </div>

</nz-card>
